Tools
List all tools
Retrieve a paginated list of all custom tools in your organization
Authorization<token>
API key in the format: Bearer YOUR_API_KEY
In: header
Query Parameters
limit?integer
Maximum number of results to return (max 100)
Default
50Range
1 <= value <= 100offset?integer
Number of results to skip
Default
0Range
0 <= valueResponse Body
application/json
curl -X GET "https://api.chorus-ai.co/v1/tools"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"type": "http",
"config": {
"url": "http://example.com",
"method": "GET",
"timeout": 5000,
"headers": [
{
"key": "string",
"value": "string"
}
],
"body": [
{
"name": "string",
"type": "string",
"description": "string",
"required": false
}
]
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"total": 0,
"limit": 0,
"offset": 0
}
}Last updated on